Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: EF Affected Products: ADTF 2.14.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Launcher

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

We are trying to use the adtf_launcher command line with the parameter "-speed=x0", with no success. We tried also =0, =X0, ="x0",

="X0", and also 8 instead of zero, but ADTF does not set properly the speed (remains x1). Can you please let me know what is the

correct syntax?

Entire command line:

"%ADTF2_DIR%\bin\adtf_launcher.exe" "%WD%\config\adtf_devenv.manifest" -globals="%WD%\config\globals.xml"

-config="%WD%\config\system.xml" -active="Converter" -run -playlist="playlist.datpls" -speed="X0" -quit -nosplash

 btw - is it possible to pass a single file, instead of a playlist?

Lösung#

This is a known bug https://www.cip.audi.de/jira/browse/ACORE-8005

also see ADTF changelog.txt

#30364 [Session Service] -speed has no effect in combination with -playlist as arguments in Command Line

Workaround (not generic)

set Harddiskplayer fixed speed value

 leave out  -playlist="" , so -speed works correctly.

example:

adtf_launcher.exe 

D:\ADTF\2.13.3\bin\adtf_devenv.manifest 

-stdout 

-nosplash 

-run 

-active=Playback 

-project="D:\__support\#\playback\playback.prj" 

-quit 

-speed=x4 

-skip_broken_dat_files 

-logfile="D:\__support\#\playback\log.txt" 

History

#1 - 2020-11-05 09:37 - hidden

- Status changed from New to In Progress

2024-04-19 1/2

https://www.cip.audi.de/jira/browse/ACORE-8005


- Topic set to ADTF::Launcher

#2 - 2020-11-05 14:37 - hidden

- Status changed from In Progress to Customer Feedback Required

This is a known bug https://www.cip.audi.de/jira/browse/ACORE-8005

also see ADTF changelog.txt

#30364 [Session Service] -speed has no effect in combination with -playlist as arguments in Command Line

Workaround (not generic)

set Harddiskplayer fixed speed value

 leave out  -playlist="" , so -speed works correctly.

example:

adtf_launcher.exe 

D:\ADTF\2.13.3\bin\adtf_devenv.manifest 

-stdout 

-nosplash 

-run 

-active=Playback 

-project="D:\__support\#\playback\playback.prj" 

-quit 

-speed=x4 

-skip_broken_dat_files 

-logfile="D:\__support\#\playback\log.txt" 

#3 - 2020-11-12 11:57 - hidden

- Project changed from 11 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#4 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
